"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _AllValidator_errText;
Object.defineProperty(exports, "__esModule", { value: true });
class AllValidator {
    constructor() {
        _AllValidator_errText.set(this, 'validation error');
        this.isOptional = false;
        this.isNullable = false;
        this.output = undefined;
    }
    /**
     * Set error text and return itself.
     * @param {string} errorText
     * @returns {BooleanValidator} BooleanValidator
     */
    errText(errorText) {
        __classPrivateFieldSet(this, _AllValidator_errText, errorText, "f");
        return this;
    }
    /**
     * Get error text.
     * @returns {string} error text
     */
    getErrText() {
        return __classPrivateFieldGet(this, _AllValidator_errText, "f");
    }
    test(v) {
        return v;
    }
}
_AllValidator_errText = new WeakMap();
exports.default = AllValidator;
