import AllValidator from './AllValidator';
/**
 * Validator for Boolean parameters, which includes multiple Boolean validation methods.
 */
declare class BooleanValidator<O extends boolean = false> extends AllValidator<boolean, O, false> {
    #private;
    output: boolean;
    constructor();
    optional(): BooleanValidator<true>;
    test(p?: any): boolean;
}
export default BooleanValidator;
