"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.and = exports.or = exports.any = exports.array = exports.object = exports.string = exports.number = exports.boolean = void 0;
require("module-alias");
const BooleanValidator_1 = __importDefault(require("./BooleanValidator"));
const ObjectValidator_1 = __importDefault(require("./ObjectValidator"));
const NumberValidator_1 = __importDefault(require("./NumberValidator"));
const StringValidator_1 = __importDefault(require("./StringValidator"));
const AnyValidator_1 = __importDefault(require("./AnyValidator"));
const ArrayValidator_1 = __importDefault(require("./ArrayValidator"));
const helpers_1 = require("./helpers");
const boolean = () => new BooleanValidator_1.default();
exports.boolean = boolean;
const number = () => new NumberValidator_1.default();
exports.number = number;
const string = () => new StringValidator_1.default();
exports.string = string;
const object = (v) => new ObjectValidator_1.default(v);
exports.object = object;
const array = (v) => new ArrayValidator_1.default(v);
exports.array = array;
const any = () => new AnyValidator_1.default();
exports.any = any;
const or = (p) => new helpers_1.OrCondition(p);
exports.or = or;
const and = (p) => new helpers_1.AndCondition(p);
exports.and = and;
exports.default = {
    boolean: exports.boolean,
    object: exports.object,
    number: exports.number,
    string: exports.string,
    any: exports.any,
    array: exports.array,
    or: exports.or,
    and: exports.and,
};
__exportStar(require("./types"), exports);
