export default class AllValidator<Output extends any = any, Optional extends boolean = any, Nullable extends boolean = any> {
    #private;
    isOptional: Optional;
    isNullable: Nullable;
    output: Output;
    constructor();
    /**
     * Set error text and return itself.
     * @param {string} errorText
     * @returns {BooleanValidator} BooleanValidator
     */
    errText(errorText: string): this;
    /**
     * Get error text.
     * @returns {string} error text
     */
    getErrText(): string;
    test(v?: any): boolean;
}
