"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _AnyValidator_optional;
Object.defineProperty(exports, "__esModule", { value: true });
const AllValidator_1 = __importDefault(require("./AllValidator"));
/**
 * Validator for Any parameter, except undefined if required.
 */
class AnyValidator extends AllValidator_1.default {
    constructor() {
        super();
        _AnyValidator_optional.set(this, true);
        this.output = false;
    }
    optional() {
        __classPrivateFieldSet(this, _AnyValidator_optional, true, "f");
        return this;
    }
    test(p) {
        if (p === undefined) {
            return __classPrivateFieldGet(this, _AnyValidator_optional, "f");
        }
        return true;
    }
}
_AnyValidator_optional = new WeakMap();
exports.default = AnyValidator;
