import { ARecord } from ".";
import AllValidator from "./AllValidator";
/**
 * Validator for Boolean parameters, which includes multiple Boolean validation methods.
 */
declare class ObjectValidator<T extends ARecord = any, O extends boolean = false, N extends boolean = false> extends AllValidator<T, O, N> {
    #private;
    output: T;
    constructor(v?: T);
    optional(): ObjectValidator<T, true, N>;
    test(p?: any): boolean;
}
export default ObjectValidator;
