import { AndParams, OrParams } from ".";
import AllValidator from "./AllValidator";
export declare class OrCondition<T extends OrParams = any, O extends boolean = false, N extends boolean = false> extends AllValidator<T, O, N> {
    #private;
    output: T;
    constructor(validators: T);
    optional(): OrCondition<T, true, N>;
    test(p?: any): boolean;
}
export declare class AndCondition<T extends AndParams = any, O extends boolean = false, N extends boolean = false> extends AllValidator<T, O, N> {
    #private;
    output: T;
    constructor(validators: T);
    optional(): AndCondition<T, true, N>;
    nullable(): AndCondition<T, O, true>;
    test(p?: any): boolean;
}
export declare class ValidationException {
    errMsg: string;
    constructor(v: AllValidator);
}
