"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../src/index");
const assert_1 = __importDefault(require("assert"));
let v;
let b;
exports.default = () => {
    // Boolean Checks
    try {
        console.log('==========');
        v = undefined;
        b = (0, index_1.boolean)().errText('no require boolean');
        assert_1.default.ok(!b.test(v), 'test boolean-1 fails');
        v = '1';
        b = (0, index_1.boolean)().errText('type error');
        assert_1.default.ok(!b.test(v), 'test boolean-2 fails');
        v = true;
        b = (0, index_1.boolean)().errText('type error');
        assert_1.default.ok(b.test(v), 'test boolean-3 fails');
        console.log('\x1B[32m%s\x1B[0m', 'Boolean tests passed!');
        console.log('==========');
    }
    catch (error) {
        console.log(error);
    }
};
