"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const number_1 = __importDefault(require("./number"));
const boolean_1 = __importDefault(require("./boolean"));
const string_1 = __importDefault(require("./string"));
const array_1 = __importDefault(require("./array"));
const object_1 = __importDefault(require("./object"));
const any_1 = __importDefault(require("./any"));
const helper_1 = __importDefault(require("./helper"));
const index_1 = require("../src/index");
const assert_1 = __importDefault(require("assert"));
// Common Checks
try {
    console.log('==========');
    const v = (0, index_1.number)().errText('number required');
    assert_1.default.ok(v.test(1));
    assert_1.default.ok(!v.test(true));
    assert_1.default.equal(v.getErrText(), 'number required');
    console.log('\x1B[32m%s\x1B[0m', 'Common tests passed!');
    console.log('==========');
}
catch (error) {
    console.log(error);
}
(0, any_1.default)();
(0, number_1.default)();
(0, boolean_1.default)();
(0, string_1.default)();
(0, array_1.default)();
(0, object_1.default)();
(0, helper_1.default)();
