"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../src/index");
const assert_1 = __importDefault(require("assert"));
let v;
let n;
exports.default = () => {
    // Number Checks
    try {
        console.log("==========");
        v = undefined;
        n = (0, index_1.number)().errText("no require number");
        assert_1.default.ok(!n.test(v), "test number-1 fails");
        v = "1";
        n = (0, index_1.number)().errText("type error");
        assert_1.default.ok(!n.test(v), "test number-2 fails");
        v = 2;
        n = (0, index_1.number)().errText("type error");
        assert_1.default.ok(n.test(v), "test number-3 fails");
        v = 4;
        n = (0, index_1.number)().min(5).errText("type error");
        assert_1.default.ok(!n.test(v), "test number-4 fails");
        v = NaN;
        n = (0, index_1.number)().min(5).errText("type error");
        assert_1.default.equal(n.test(v), false, "test number-5 fails");
        v = NaN;
        let n1 = (0, index_1.number)().optional().min(5).errText("type error");
        assert_1.default.ok(n1.test(v), "test number-6 fails");
        console.log("\x1B[32m%s\x1B[0m", "number tests passed!");
        console.log("==========");
    }
    catch (error) {
        console.log(error);
    }
};
