"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../src/index");
const assert_1 = __importDefault(require("assert"));
let v;
let s;
exports.default = () => {
    // String Checks
    try {
        console.log('==========');
        v = undefined;
        s = (0, index_1.string)().errText('no require boolean');
        assert_1.default.strictEqual(s.test(v), false, 'test string-1 fails');
        v = '1';
        s = (0, index_1.string)().errText('type error');
        assert_1.default.strictEqual(s.test(v), true, 'test string-2 fails');
        v = 1;
        s = (0, index_1.string)().errText('type error');
        assert_1.default.strictEqual(s.test(v), false, 'test string-3 fails');
        console.log('\x1B[32m%s\x1B[0m', 'String tests passed!');
        console.log('==========');
    }
    catch (error) {
        console.log(error);
    }
};
